%define name		jmx
%define version		1.2
%define cvs_version	1_2
%define release		4jpp_1rh
%define section		non-free

Name:		%{name}
Version:	%{version}
Release:	%{release}
Epoch:		0
Summary:	Java Management Extensions
License:	Sun Binary Code License
Url:		http://java.sun.com/products/JavaManagement/ 
Group:		Development/Libraries/Java
#Vendor:		JPackage Project
#Distribution:	JPackage
Source0:	%{name}-%{cvs_version}-ri.zip
#NoSource:	0
BuildArch:	noarch
BuildRequires:  jpackage-utils > 1.4
Provides:	%{name}ri = %{version}
BuildRoot:	%{_tmppath}/%{name}-%{version}-buildroot

%description
JavaTM Management Extensions (JMX) represent a universal, 
open technology for management, and monitoring ready
to be deployed across all industries, wherever management 
and/or monitoring is/are or will be needed.

%package javadoc
Summary:	Javadoc for %{name}
Group:		Development/Documentation

%description javadoc
Javadoc for %{name}.

%prep
rm -rf $RPM_BUILD_ROOT
%setup -c
# fix files perms
chmod -R go=u-w *

%build

%install
# jars
install -d -m 755 $RPM_BUILD_ROOT%{_javadir}
install -m 644 lib/%{name}ri.jar $RPM_BUILD_ROOT%{_javadir}/%{name}ri-%{version}.jar
install -m 644 lib/%{name}tools.jar $RPM_BUILD_ROOT%{_javadir}/%{name}tools-%{version}.jar
(cd $RPM_BUILD_ROOT%{_javadir} && for file in *.jar; do ln -sf $file `basename $file -%{version}.jar`.jar;done)

#handled via alternative
rm -fr $RPM_BUILD_ROOT%{_javadir}/%{name}ri.jar

# javadoc
install -d -m 755 $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}
cp -pr doc/api/* $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}

%clean
rm -rf $RPM_BUILD_ROOT

%post
/usr/sbin/update-alternatives --install %{_javadir}/jmxri.jar jmxri %{_javadir}/%{name}ri-%{version}.jar 1
                                                                                                                              
%preun
/usr/sbin/update-alternatives --remove jmxri %{_javadir}/%{name}ri-%{version}.jar


%files
%defattr(-,root,root)
%{_javadir}/*.jar

%files javadoc
%defattr(-,root,root)
%{_javadocdir}/%{name}-%{version}

%changelog
* Fri Mar  5 2004 Frank Ch. Eigler <fche@redhat.com> 1.2-4jpp_1rh
- RH vacuuming

* Tue Mar 25 2003 Nicolas Mailhot <Nicolas.Mailhot (at) laPoste.net> 1.2-4jpp
- use jmxri alternative

* Fri Mar 21 2003 Nicolas Mailhot <Nicolas.Mailhot (at) laPoste.net> 1.2-1jpp
- for jpackage-utils 1.5
- bumped to 1.2

* Thu Jun 20 2002 Henri Gomez <hgomez@slib.fr> 1.1-1jpp
- Initial release
